# Get plan and usage snapshot (plan, limits, payment status)

Fetches plan and usage snapshot (plan, limits, payment status).

```http
GET https://api.pozy.ai/v1/usage-stats
```

- Area: Workspace / Usage
- Auth: Authorization: Bearer pz_live_...
- Deprecated

## Query parameters

- `reconcile` (boolean)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/usage-stats" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/usage-stats", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/usage-stats",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `billingSystem`, string: One of `stripe`, `metronome`
- `planName`, string
- `billingPeriod`, string: One of `monthly`, `yearly`
- `signupDate`, string (date-time)
- `billingAnchorDay`, integer
- `hasAccess`, boolean
- `customerId`, string: Can be null
- `isInvitedUser`, boolean
- `autoUpgradeEnabled`, boolean
- `limits`, object
  - `uploads`, integer
  - `profiles`, integer
- `usage`, object
  - `uploads`, integer
  - `profiles`, integer
  - `lastReset`, string (date-time)
  - `connectedAccounts`, integer
  - `xApiCalls`, object
    - `x_api_005`, integer
    - `x_api_010`, integer
    - `x_api_015`, integer
  - `xApiCallsByOperation`, map of integer
- `spend`, object
  - `currentPeriodCents`, integer
  - `creditsRemainingCents`, integer
  - `xSpendCents`, integer
  - `xSpendLimitCents`, integer: Can be null

```json
{
  "billingSystem": "stripe",
  "planName": "Acme",
  "billingPeriod": "monthly",
  "signupDate": "2026-10-02T09:00:00.000Z",
  "billingAnchorDay": 1,
  "hasAccess": true,
  "customerId": "691909ff82eb5ed7c816716d",
  "isInvitedUser": true,
  "autoUpgradeEnabled": true,
  "limits": {
    "uploads": 1,
    "profiles": 1
  },
  "usage": {
    "uploads": 1,
    "profiles": 1,
    "lastReset": "2026-10-02T09:00:00.000Z",
    "connectedAccounts": 42,
    "xApiCalls": {
      "x_api_005": 1,
      "x_api_010": 1,
      "x_api_015": 1
    },
    "xApiCallsByOperation": {
      "key": 1
    }
  },
  "spend": {
    "currentPeriodCents": 1,
    "creditsRemainingCents": 1,
    "xSpendCents": 1,
    "xSpendLimitCents": 1
  }
}
```
